Index: npl/overig/gawk/gawk-4.1.4.tar.xz.sig
===================================================================
--- npl/overig/gawk/gawk-4.1.4.tar.xz.sig	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk-4.1.4.tar.xz.sig	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,11 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1
+
+iQEcBAABAgAGBQJXvzSWAAoJEN9ZeBWTfsDSPP8H/1Naw13ybArprjJDgwU7kQ5X
+Yrwt40pQwehaxk+21kVlA+19O7qamHbKhX1etyRB4+KaBjTf9s3tOCdIIo4b3oTi
+XCMSXhyBRzOs47+p2l6MVtQLPNuQ5nNhqeuP6tmlSi0QyI43EAcP3cix0nsYriUH
+EAv2VffhdYawUrKgZE1sssRlDD47YoEelS4Gs1kC1HBRp/LnvuISItiP43JVGGeX
++SjgPh14oe8F7yVxIyAUFnK4zKEaNM/KDKvvZ7tDz1n7NtLxihtJPnvsticLhvDC
+w+upaY41YUx0nnIy2QXF2lLNRtceJJ5zhl/QMxME5nWnN1dNGZLAVnBQYUbU7oU=
+=8yeI
+-----END PGP SIGNATURE-----
Index: npl/overig/gawk/gawk.SlackBuild
===================================================================
--- npl/overig/gawk/gawk.SlackBuild	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk.SlackBuild	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/a/gawk/
+# Created at Tue Jan 31 22:07:15 CET 2017
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./gawk.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/gawk/gawk.SlackBuild.orig
===================================================================
--- npl/overig/gawk/gawk.SlackBuild.orig	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk.SlackBuild.orig	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,144 @@
+#!/bin/sh
+
+# Copyright 2005-2014  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=gawk
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:--j6}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-gawk
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf gawk-$VERSION
+tar xvf $CWD/gawk-$VERSION.tar.xz
+cd gawk-$VERSION
+
+chown -R root:root .
+
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+    xargs strip --strip-unneeded 2> /dev/null
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+    xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/bin
+  ln -sf gawk-$VERSION gawk
+)
+
+mkdir -p $PKG/bin
+mv $PKG/usr/bin/gawk* $PKG/bin
+mv $PKG/usr/bin/awk $PKG/bin
+
+( cd $PKG/usr/bin
+  ln -sf ../../bin/awk .
+  ln -sf ../../bin/gawk .
+  ln -sf ../../bin/gawk-$VERSION .
+)
+
+( cd $PKG/usr/info
+  rm dir
+  gzip -9 *
+)
+
+( cd $PKG/usr/man/man1
+  ln -sf gawk.1 awk.1
+)
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+  ln -s $( readlink $i ).gz $i.gz
+  rm $i
+done
+
+mkdir -p $PKG/usr/doc/gawk-$VERSION
+cp -a \
+  ABOUT-NLS AUTHORS COPYING* INSTALL NEWS POSIX.STD \
+  README* \
+  $PKG/usr/doc/gawk-$VERSION
+
+# We don't need to run the GPL:
+chmod 644 $PKG/usr/doc/gawk-$VERSION/COPYING*
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/gawk-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/overig/gawk/gawk.arch
===================================================================
--- npl/overig/gawk/gawk.arch	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk.arch	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/gawk/gawk.build
===================================================================
--- npl/overig/gawk/gawk.build	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk.build	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/gawk/gawk.md5
===================================================================
--- npl/overig/gawk/gawk.md5	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk.md5	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,8 @@
+4e7dbc81163e60fd4f0b52496e7542c9  ./gawk-4.1.4.tar.xz
+b07124955a73d46b4e8a52d35ace7e63  ./gawk-4.1.4.tar.xz.sig
+f4e096ad59f18c6239d00a3b6ed7f092  ./gawk_dev.pkg
+8a64ec9d32cf91d8cb5ee29c3bd777d0  ./gawk.pkg
+392c14fe9c8ee5b41cd23fa5b022852e  ./gawk.SlackBuild
+6afe99abe986a97d4113225d9366382b  ./gawk.SlackBuild.log.gz
+df7fbad02fa9a1ae7aa37667c4a583bb  ./gawk.SlackBuild.orig
+30ce4956a875595993f99cfc023f1e7a  ./slack-desc
Index: npl/overig/gawk/gawk.version
===================================================================
--- npl/overig/gawk/gawk.version	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk.version	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,1 @@
+4.1.4
Index: npl/overig/gawk/gawk_dev.arch
===================================================================
--- npl/overig/gawk/gawk_dev.arch	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk_dev.arch	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/gawk/gawk_dev.build
===================================================================
--- npl/overig/gawk/gawk_dev.build	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk_dev.build	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/gawk/gawk_dev.version
===================================================================
--- npl/overig/gawk/gawk_dev.version	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/gawk_dev.version	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,1 @@
+4.1.4
Index: npl/overig/gawk/slack-desc
===================================================================
--- npl/overig/gawk/slack-desc	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
+++ npl/overig/gawk/slack-desc	(revision aafe99ee5522bff014c1a858b478c8fb5ac0786f)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in.  You must make
+# exactly 11 lines for the formatting to be correct.  It's also customary to
+# leave one space after the ':'.
+
+    |-----handy-ruler------------------------------------------------------|
+gawk: gawk (pattern scanning and processing language)
+gawk:
+gawk: Gawk is the GNU Project's implementation of the AWK programming
+gawk: language.  It conforms to the definition of the language in the POSIX
+gawk: 1003.2 Command Language And Utilities Standard.  This version in turn
+gawk: is based on the description in The AWK Programming Language, by Aho,
+gawk: Kernighan, and Weinberger, with the additional features found in the
+gawk: System V Release 4 version of UNIX awk.  Gawk also provides more
+gawk: recent Bell Labs awk extensions, and some GNU-specific extensions.
+gawk:
+gawk:
